Проблемы с установкой родственного дистрибютива Fedora 11

Автор: mkramer Дата: 08.09.2009 22:32 Прошу прощения за небольшой оффтопик. Пытаюсь установить Fedora 11 на Intel Pentium II 466 192 МБайт ОЗУ - минимальные требования для работы в графике. Инстолятор запустился только в текстовом режиме и установил урезанный набор пакетов без иксов, не предложив мне другого выбора. Настроил yum, установил иксы сам. Они откаались грузиться, выдав в логах
X.Org X Server 1.6.1.901 (1.6.2 RC 1)
Release Date: 2009-5-8
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.18-128.1.6.el5 i686 
Current Operating System: Linux localhost.localdomain 2.6.29.4-167.fc11.i686.PAE #1 SMP Wed May 27 17:28:22 EDT 2009 i686
Kernel command line: ro root=/dev/mapper/VolGroup-lv_root rhgb quiet
Build Date: 18 May 2009  02:47:59PM
Build ID: xorg-x11-server 1.6.1.901-1.fc11 
	Before reporting problems, check [<a href="http://wiki.x.org" rel="nofollow">wiki.x.org</a>]
	to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Tue Sep  8 02:29:06 2009
(II) Loader magic: 0x640
(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.4
	X.Org Video Driver: 5.0
	X.Org XInput driver : 4.0
	X.Org Server Extension : 2.0
(II) Loader running on linux
(--) using VT number 7

(--) PCI: (0@0:1:0) Intel Corporation 82810E DC-133 (CGC) Chipset Graphics Controller rev 3, Mem @ 0xf8000000/67108864, 0xfeb80000/524288, BIOS @ 0x????????/65536
(--) PCI:*(0@1:9:0) Texas Instruments TVP4020 [Permedia 2] rev 1, Mem @ 0xfe9e0000/131072, 0xfe000000/8388608, 0xfd800000/8388608, BIOS @ 0x????????/65536
(==) Using default built-in configuration (21 lines)
(==) --- Start of built-in configuration ---
	Section "Device"
		Identifier	"Builtin Default vesa Device 0"
		Driver	"vesa"
	EndSection
	Section "Screen"
		Identifier	"Builtin Default vesa Screen 0"
		Device	"Builtin Default vesa Device 0"
	EndSection
	Section "Device"
		Identifier	"Builtin Default fbdev Device 0"
		Driver	"fbdev"
	EndSection
	Section "Screen"
		Identifier	"Builtin Default fbdev Screen 0"
		Device	"Builtin Default fbdev Device 0"
	EndSection
	Section "ServerLayout"
		Identifier	"Builtin Default Layout"
		Screen	"Builtin Default vesa Screen 0"
		Screen	"Builtin Default fbdev Screen 0"
	EndSection
(==) --- End of built-in configuration ---
(==) ServerLayout "Builtin Default Layout"
(**) |-->Screen "Builtin Default vesa Screen 0" (0)
(**) |   |-->Monitor "<default monitor>"
(**) |   |-->Device "Builtin Default vesa Device 0"
(==) No monitor specified for screen "Builtin Default vesa Screen 0".
	Using a default monitor configuration.
(**) |-->Screen "Builtin Default fbdev Screen 0" (1)
(**) |   |-->Monitor "<default monitor>"
(**) |   |-->Device "Builtin Default fbdev Device 0"
(==) No monitor specified for screen "Builtin Default fbdev Screen 0".
	Using a default monitor configuration.
(==) Automatically adding devices
(==) Automatically enabling devices
(==) FontPath set to:
	catalogue:/etc/X11/fontpath.d,
	built-ins
(==) ModulePath set to "/usr/lib/xorg/modules"
(II) Cannot locate a core pointer device.
(II) Cannot locate a core keyboard device.
(II) The server relies on HAL to provide the list of input devices.
	If no devices become available, reconfigure HAL or disable AllowEmptyInput.
(II) No APM support in BIOS or kernel
(II) System resource ranges:
	[0] -1	0	0xffffffff - 0xffffffff (0x1) MX<b>
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX<b>
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX<b>
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX<b>
	[4] -1	0	0x0000ffff - 0x0000ffff (0x1) IX<b>
	[5] -1	0	0x00000000 - 0x00000000 (0x1) IX<b>
(II) LoadModule: "extmod"
(II) Loading /usr/lib/xorg/modules/extensions//libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
	compiled for 1.6.1.901, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension SELinux
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "dbe"
(II) Loading /usr/lib/xorg/modules/extensions//libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
	compiled for 1.6.1.901, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "glx"
(II) Loading /usr/lib/xorg/modules/extensions//libglx.so
(II) Module glx: vendor="X.Org Foundation"
	compiled for 1.6.1.901, module version = 1.0.0
	ABI class: X.Org Server Extension, version 2.0
(==) AIGLX enabled
(II) Loading extension GLX
(II) LoadModule: "record"
(II) Loading /usr/lib/xorg/modules/extensions//librecord.so
(II) Module record: vendor="X.Org Foundation"
	compiled for 1.6.1.901, module version = 1.13.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension RECORD
(II) LoadModule: "dri"
(II) Loading /usr/lib/xorg/modules/extensions//libdri.so
(II) Module dri: vendor="X.Org Foundation"
	compiled for 1.6.1.901, module version = 1.0.0
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension XFree86-DRI
(II) LoadModule: "dri2"
(II) Loading /usr/lib/xorg/modules/extensions//libdri2.so
(II) Module dri2: vendor="X.Org Foundation"
	compiled for 1.6.1.901, module version = 1.0.0
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DRI2
(II) LoadModule: "vesa"
(II) Loading /usr/lib/xorg/modules/drivers//vesa_drv.so
(II) Module vesa: vendor="X.Org Foundation"
	compiled for 1.6.0, module version = 2.2.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 5.0
(II) LoadModule: "fbdev"
(WW) Warning, couldn't open module fbdev
(II) UnloadModule: "fbdev"
(EE) Failed to load module "fbdev" (module does not exist, 0)
(II) VESA: driver for VESA chipsets: vesa
(II) Primary Device is: PCI 01@00:09:0
(II) resource ranges after probing:
	[0] -1	0	0xffffffff - 0xffffffff (0x1) MX<b>
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX<b>
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX<b>
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX<b>
	[4] -1	0	0x0000ffff - 0x0000ffff (0x1) IX<b>
	[5] -1	0	0x00000000 - 0x00000000 (0x1) IX<b>
(II) Loading sub module "vbe"
(II) LoadModule: "vbe"
(II) Loading /usr/lib/xorg/modules//libvbe.so
(II) Module vbe: vendor="X.Org Foundation"
	compiled for 1.6.1.901, module version = 1.1.0
	ABI class: X.Org Video Driver, version 5.0
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/lib/xorg/modules//libint10.so
(II) Module int10: vendor="X.Org Foundation"
	compiled for 1.6.1.901, module version = 1.0.0
	ABI class: X.Org Video Driver, version 5.0
(II) VESA(0): initializing int10
(II) VESA(0): Primary V_BIOS segment is: 0xc000
(II) VESA(0): VESA BIOS detected
(II) VESA(0): VESA VBE Version 2.0
(II) VESA(0): VESA VBE Total Mem: 512 kB
(II) VESA(0): VESA VBE OEM: PERMEDIA2.
(II) VESA(0): VESA VBE OEM Software Rev: 1.44
(II) VESA(0): VESA VBE OEM Vendor: 3DLABS
(II) VESA(0): VESA VBE OEM Product: PERMEDIA2 REF
(II) VESA(0): VESA VBE OEM Product Rev: 
(EE) VESA(0): Driver can't support depth 24
(II) UnloadModule: "vesa"
(II) UnloadModule: "int10"
(II) Unloading /usr/lib/xorg/modules//libint10.so
(II) UnloadModule: "vbe"
(II) Unloading /usr/lib/xorg/modules//libvbe.so
(EE) Screen(s) found, but none have a usable configuration.

Fatal server error:
no screens found

Please consult the The X.Org Foundation support 
	 at [<a href="http://wiki.x.org" rel="nofollow">wiki.x.org</a>]
 for help. 
Please also check the log file at "/var/log/Xorg.0.log" for additional information.


</b></b></b></b></b></b></b></b></b></b></b></b>



Поставил в xorg.conf самый простой режим: 640x480, 8 bit. Попытался снова. Иксы перешли в графический режим, в домашней папке появились каталоги "Рабочий стол" и пр., однако они недогрузившись вылетают с сообщением о сигнале 11. Графическая карта Hercules, некоторое время назад стаявший ASP Linux 11.2 её с удовольствием съедал, настраивал иксы самостоятельно при установке... Федора же пытается грузить карту драйвером vesa. Есть ли у неё другие варианты и можно ли что-то сделать в данном случае?
Re: Проблемы с установкой родственного дистрибютива Fedora 11 08.09.2009 23:04msv2 Совет несколько не тот, который вы ожидаете:
1. Не ждать работы Х-ов.
2. Поставить дистр полегче.
3. Мало ли что написано там в характеристиках о минимальных требованиях - это все лишь так, для отвода глаз. На самом деле это характеристики, при которых хоть что-то запускается.
Re: Проблемы с установкой родственного дистрибютива Fedora 11 08.09.2009 23:20mkramer А какой дистр предложите (из той же серии Fedora или ASP), но наиболее новый из способных нормально работать на такой машине?
Re: Проблемы с установкой родственного дистрибютива Fedora 11 08.09.2009 23:41msv2 Во первых в конфигах надо исправить - указать тот драйвер, который у вас должен быть. (Советую, возможно несколько поздно, указать это так, как было в АСП 11.2)
Во вторых - не запускать ни Гном ни КДЕ. Установите LXDE - это легкий ВМ
В третьих - может вам кое что пересобрать? Ядро там, Х-ы. Еще что то.
В четвертых - посмотрите требования к АСП 14 - основан на Федоре 9

Минимальные требования к оборудованию:
Процессор Intel Pentium III, 512МБ ОЗУ, 5ГБ дискового пространства, привод DVD-ROM либо сетевая карта.
Вот так то....

Так что мой вам совет - оставайтесь на АСП 11.2. При таком оборудовании если там что и работает, то лучшее - враг хорошего.
Re: Проблемы с установкой родственного дистрибютива Fedora 11 09.09.2009 00:07blH, mkramer Пишет:
-------------------------------------------------------
> А какой дистр предложите (из той же серии Fedora
> или ASP), но наиболее новый из способных нормально
> работать на такой машине?

Великолепная штука для такого железа AltLinux Lite 4.0
Хотя это и не совсем федора (скорее уж, мандрива), но его работа на слабом железе меня просто восхищает. Единственное, что напрягает -- отсутствие юма (вместо него apt-get, с которым работать из консоли не так удобно). А если вместо xfce поставить icewm (он в этом дистрибутиве вполне нормально до ума допилен, а не пустышка, как в федоре) -- то можно сэкономить ещё около 25 мегабайт оперативной памяти.
Re: Проблемы с установкой родственного дистрибютива Fedora 11 09.09.2009 08:44BigAndy Так вам же сказали:
Цитата:
(EE) VESA(0): Driver can't support depth 24

Думаю, даже при меньшем заведется, но удовольствия от работы с графикой вы е получите - мало ram. Для ГИМП'а нужно хотя бы гигобайт. Тем более, что часть RAM уйдет в видеопамять. Для хоть как-то комфортной работы в 24 bit mode нужно хотя бы 32Мбит для видеокарты.

F11 вы, конечно заведете.. .Но нужны вам такие эксперименты?
PS Минимальные требования - это для того, чтобы линукс запустить. про X-сервер речи нет. Данная конфигурация - прекрасный вариант файл-сервера, dhcp, dns, маршрутизатора, сервера БД на, этак, 500 человек. Катается от смеха
Re: Проблемы с установкой родственного дистрибютива Fedora 11 09.09.2009 14:50mkramer BigAndy, вы правы - не нужна... А про минимальные требования, они написали, что это для работы с графикой, консольные там 128 МБайт. Посему и понадеялись, что запустится... Решили на Альт Лайт перейти...
Re: Проблемы с установкой родственного дистрибютива Fedora 11 09.09.2009 14:54BigAndy Да, но у вас нет 192х.. У вас часть памят видюха отбирает.
Re: Проблемы с установкой родственного дистрибютива Fedora 11 09.09.2009 15:18blH, На альте в указанной мной конфигурации система жрет 87М памяти. Поэтому даже на моих 128М (минус 8М интегрированное видео) и третьем пеньке 866мгц (тот самый, который таракан однажды сжег, восстановил железку) -- всё летает. 33 мегабайта под приложения типа nx, фаерфокса и всевозможных серверов -- выше крыши.
Главное, не ставить lite ice, а поставить нормальный айс. Ну и, конечно, постфикс тоже того... снести как курочка дедушке.
RSS-материал